<?php declare(strict_types=1);

namespace App\Dto\Request\Api\V1\Captcha;

use App\Dto\Request\Dto;

final readonly class CheckingDto extends Dto
{
    public function __construct(
        private CaptchaPublicToken $captchaPublicToken,
        private string $captchaKey,
        private array $coordinators,
    ) { }

    public function getCaptchaPublicToken(): CaptchaPublicToken
    {
        return $this->captchaPublicToken;
    }

    public function getCaptchaKey(): string
    {
        return $this->captchaKey;
    }

    public function getCoordinators(): array
    {
        return $this->coordinators;
    }
}
